/*
 *  Project   : tin - a visual threaded usenet newsreader
 *  Module    : help.c
 *  Author    : R.Skrenta / I.Lea
 *  Created   : 01-04-91
 *  Updated   : 22-08-91
 *  Release   : 1.0
 *  Notes     :
 *  Copyright : (c) Copyright 1991 by Rich Skrenta & Iain Lea
 *	            You may  freely  copy or  redistribute  this software,
 *              so  long as there is no profit made from its use, sale
 *              trade or  reproduction.  You may not change this copy-
 *              right notice, and it must be included in any copy made
 */

#include	"tin.h"
#include	"nntp.h"

/*
void basename (dirname, basename)
	char *dirname;
	char *basename;
{
	int i;
	
	strcpy (basename, dirname);
	
	for (i=(int) strlen(dirname)-1 ; i ; i--) {
		if (dirname[i] == '/') {
			strcpy (basename, dirname+(i+1));
			break;
		}
	}
}
*/

void help_select_commands ()
{
	char ch;

select_help_start:

	ClearScreen ();
	center_line (0, page_header);
	StartInverse ();
	center_line (1, txt_group_select_com_1);
	EndInverse ();

	MoveCursor(3, 0);

	printf(txt_help_g_4);
	printf(txt_help_ctrl_d);
	printf(txt_help_ctrl_l);
	printf(txt_help_g_ctrl_k);
	printf(txt_help_g_ctrl_r);
	printf(txt_help_g_cr);
	printf(txt_help_g_tab);
	printf(txt_help_b);
	printf(txt_help_bug, BUG_REPORT_ADDRESS);
	printf(txt_help_g_c);
	printf(txt_help_g);
	printf(txt_help_j);
	printf(txt_help_h);
	printf(txt_help_m);
	printf(txt_help_M);
	printf(txt_help_q);
	printf(txt_help_s);
	printf(txt_help_S);
	printf(txt_help_W);

	center_line(LINES, txt_hit_space_for_more);
	ch = ReadCh();
	if (ch != ' ') {
#ifndef USE_CLEARSCREEN
	ClearScreen ();
#endif	
		return;
	}	

	ClearScreen();
	center_line(0, page_header);
	center_line(1, txt_group_select_com_2);

	MoveCursor(3, 0);

	printf(txt_help_g_y);
	printf(txt_help_g_dollar);
	printf(txt_help_g_search);

	center_line(LINES, txt_hit_any_key);
	ch = ReadCh();
	if (ch == 'b')
		goto select_help_start;

#ifndef USE_CLEARSCREEN
	ClearScreen ();
#endif	
}


void help_select_info ()
{
}


void help_group_commands ()
{
	char ch;

group_help_start:

	ClearScreen ();
	center_line (0, page_header);
	StartInverse ();
	center_line (1, txt_index_page_com_1);
	EndInverse ();

	MoveCursor(3, 0);

	printf(txt_help_i_4);
	printf(txt_help_ctrl_d);
	printf(txt_help_ctrl_k);
	printf(txt_help_ctrl_l);
	printf(txt_help_i_cr);
	printf(txt_help_i_tab);
	printf(txt_help_a);
	printf(txt_help_b);
	printf(txt_help_bug, BUG_REPORT_ADDRESS);
	printf(txt_help_c);
	printf(txt_help_g);
	printf(txt_help_h);
	printf(txt_help_I);
	printf(txt_help_j);
	printf(txt_help_K);
	printf(txt_help_M);
	printf(txt_help_i_n);
	printf(txt_help_i_p);
	printf(txt_help_q);

	center_line(LINES, txt_hit_space_for_more);
	ch = ReadCh();
	if (ch != ' ') {
#ifndef USE_CLEARSCREEN
	ClearScreen ();
#endif	
		return;
	}

	ClearScreen();
	center_line(0, page_header);
	StartInverse ();
	center_line(1, txt_index_page_com_2);
	EndInverse ();

	MoveCursor(3, 0);

	printf(txt_help_s);
	printf(txt_help_i_S);
	printf(txt_help_t);
	printf(txt_help_T);
	printf(txt_help_U);
	printf(txt_help_w);
	printf(txt_help_W);
	printf(txt_help_p_z);
	printf(txt_help_i_search);
	printf(txt_help_dash);

	center_line(LINES, txt_hit_any_key);
	ch = ReadCh();
	if (ch == 'b')
		goto group_help_start;

#ifndef USE_CLEARSCREEN
	ClearScreen ();
#endif	
}


void help_group_info ()
{
}


void help_page_commands ()
{
	char ch;

page_help_start:

	ClearScreen ();
	center_line (0, page_header);
	StartInverse ();
	center_line (1, txt_art_pager_com_1);
	EndInverse ();

	MoveCursor(3, 0);

	printf(txt_help_p_0);
	printf(txt_help_p_4);
	printf(txt_help_ctrl_h);
	printf(txt_help_ctrl_k);
	printf(txt_help_ctrl_l);
	printf(txt_help_p_ctrl_r);
	printf(txt_help_p_cr);
	printf(txt_help_p_tab);
	printf(txt_help_b);
	printf(txt_help_a);
	printf(txt_help_bug, BUG_REPORT_ADDRESS);
	printf(txt_help_c);
	printf(txt_help_p_d);
	printf(txt_help_p_f);
	printf(txt_help_h);
	printf(txt_help_p_i);
	printf(txt_help_I);
	printf(txt_help_p_k);
	printf(txt_help_p_m);

	center_line(LINES, txt_hit_space_for_more);
	ch = ReadCh();
	if (ch != ' ') {
#ifndef USE_CLEARSCREEN
	ClearScreen ();
#endif	
		return;
	}

	ClearScreen();
	center_line(0, page_header);
	StartInverse ();
	center_line(1, txt_art_pager_com_2);
	EndInverse ();

	MoveCursor(3, 0);

	printf(txt_help_M);
	printf(txt_help_p_n);
	printf(txt_help_p_o);
	printf(txt_help_p_p);
	printf(txt_help_q);
	printf(txt_help_p_r);
	printf(txt_help_p_s);
	printf(txt_help_T);
	printf(txt_help_w);
	printf(txt_help_W);
	printf(txt_help_p_z);
	printf(txt_help_dash);
	printf(txt_help_p_pipe);
	printf(txt_help_p_search);

	center_line(LINES, txt_hit_any_key);
	ch = ReadCh();

	if (ch == 'b')
		goto page_help_start;

#ifndef USE_CLEARSCREEN
	ClearScreen ();
#endif	
}


void help_page_info ()
{
}
