/*
 *  Project   : tin - a visual threaded usenet newsreader
 *  Module    : lang.c
 *  Author    : R.Skrenta / I.Lea
 *  Created   : 01-04-91
 *  Updated   : 23-08-91
 *  Release   : 1.0
 *  Notes     :
 *  Copyright : (c) Copyright 1991 by Rich Skrenta & Iain Lea
 *	            You may  freely  copy or  redistribute  this software,
 *              so  long as there is no profit made from its use, sale
 *              trade or  reproduction.  You may not change this copy-
 *              right notice, and it must be included in any copy made
 */

#ifdef LANG_GERMAN

#else

/*
 *  art.c
 */

char *txt_group = "Group %s...    ";
char *txt_cannot_open_dir = "can't open dir %s\n";
char *txt_cannot_open_art = "can't open article %s: ";
char *txt_indexing = "Indexing...%4d";
char *txt_corrupt_index = "Index file %s corrupted. error %d on record %d";

/*
 *  group.c
 */

char *txt_inverse_on = "Inverse video enabled";
char *txt_inverse_off = "Inverse video disabled";
char *txt_subscribed_to = "subscribed to %s";
char *txt_unsubscribed_to = "unsubscribed from %s";
char *txt_mark_all_read = "Mark everything as read? (y/n): ";
char *txt_marked_as_read = "All articles marked as read";
char *txt_no_more_groups = "No more groups";
char *txt_no_prev_group = "No previous group";
char *txt_no_arts = "*** No Articles ***";
char *txt_end_of_arts = "*** End of Articles ***";
char *txt_no_next_unread_art = "No next unread article";
char *txt_no_prev_unread_art = "No previous unread article";
char *txt_no_last_message = "No last message";
char *txt_bad_command = "Bad command.  Type 'h' for help.";
char *txt_you_have_mail = "    you have mail\n";
char *txt_type_h_for_help = "Type 'h' for help\n";
char *txt_read_art = "Read article> ";
char *txt_search_forwards = "Search forwards [%s]> ";
char *txt_search_backwards = "Search backwards [%s]> ";
char *txt_author_search_forwards = "Author search forwards [%s]> ";
char *txt_author_search_backwards = "Author search backwards [%s]> ";
char *txt_no_search_string = "No search string";
char *txt_no_match = "No match";
char *txt_post_subject = "Post Subject: ";
char *txt_cannot_open = "can't open %s";
char *txt_posting = "Posting...";
char *txt_art_posted = "-- article posted --";
char *txt_art_rejected = "-- article rejected --";
char *txt_abort_edit_post = "a)bort, e)dit, p)ost: ";
char *txt_help_i_4 = "4$       Select article 4 ($=select last article)\r\n";
char *txt_help_ctrl_k = "^K       Kill current article\r\n";
char *txt_help_ctrl_l = "^L       Redraw page\r\n";
char *txt_help_ctrl_d = "^D^U     Down (^U=up) a page\r\n";
char *txt_help_i_cr = "<CR>     Read current article\r\n";
char *txt_help_i_tab = "<TAB>    View next unread article or group\r\n";
char *txt_help_m = "m        Move current group within group selection list\r\n";
char *txt_help_M = "M        Menu of configurable options\r\n";
char *txt_help_a = "aA       Author forward (A=backward) search\r\n";
char *txt_help_c = "c        Mark all articles as read\r\n";
char *txt_help_g = "g        Choose a new group by name\r\n";
char *txt_help_I = "I        Toggle inverse video\r\n";
char *txt_help_K = "K        Mark article/thread as read & advance\r\n";
char *txt_help_j = "jk       Down (k=up) a line\r\n";
char *txt_help_i_n = "nN       Go to next (N=next unread) group\r\n";
char *txt_help_i_p = "pP       Go to previous (P=previous unread) group\r\n";
char *txt_help_q = "q        Quit\r\n";
char *txt_help_s = "su       Subscribe (u=unsubscribe) to this group\r\n";
char *txt_help_S = "SU       Subscribe (U=unsubscribe) groups that match pattern\r\n";
char *txt_help_i_S = "S        Save articles matching pattern\r\n";
char *txt_help_t = "T        Tag current article for saving\r\n";
char *txt_help_T = "t        Return to group selection index\r\n";
char *txt_help_U = "U        Untag all articles\r\n";
char *txt_help_w = "w        Post an article\r\n";
char *txt_help_i_search = "/?       Subject forward (?=backward) search\r\n";
char *txt_help_dash = "-        Show last message\r\n";
#ifdef DONT_USE_REGEX 
char *txt_save_pattern = "Enter save pattern [%s]> ";
#else
char *txt_save_pattern = "Enter regex save pattern [%s]> ";
#endif
char *txt_base_file_name = "Enter base file name> ";
char *txt_base_subdir = "Enter sub directory name> ";
char *txt_saved_pattern_to = "-- saved pattern to %s - %s --";
char *txt_saved_to_mailbox = "-- saved to mailbox %s --";
char *txt_switch_on_kill_art_menu = "Kill Article Menu is switched OFF. Select Options Menu to switch it ON.";

/* 
 *  help.c:
 */

char *txt_group_select_com_1 = "Group Selection Commands (page 1 of 2)";
char *txt_group_select_com_2 = "Group Selection Commands (page 2 of 2)";
char *txt_index_page_com_1 = "Index Page Commands (page 1 of 2)";
char *txt_index_page_com_2 = "Index Page Commands (page 2 of 2)";
char *txt_art_pager_com_1 = "Article Pager Commands (page 1 of 2)";
char *txt_art_pager_com_2 = "Article Pager Commands (page 2 of 2)";
char *txt_hit_space_for_more = "-- Hit space for more commands --";
char *txt_select_info = "Group Select Help (page %d of %d)";
char *txt_group_info = "Group Help (page %d of %d)";
char *txt_page_info = "Page Help (page %d of %d)";

/* 
 *  kill.c:
 */

char *txt_kill_menu = "Kill Article Menu";
char *txt_kill_subject = "Kill Subject [%-45s] (y/n): ";
char *txt_kill_from =    "Kill From    [%-45s] (y/n): ";
char *txt_kill_text = "Kill text pattern : ";
char *txt_kill_text_type = "Apply pattern to  : ";
char *txt_kill_group =     "Kill pattern scope: ";
char *txt_help_kill_subject = "Subject: line to add to kill file. Press backspace key to clear field.";
char *txt_help_kill_from = "From: line to add to kill file. Press backspace key to clear field.";
char *txt_help_kill_text = "Enter text pattern to kill if Subject: & From: lines are not what you want.";
char *txt_help_kill_text_type = "Select where text pattern should be applied. Use <SPACE> to toggle choices.";
char *txt_help_kill_group = "Apply kill to current group only or all groups. Use <SPACE> to toggle choices.";
char *txt_abort_edit_save_killfile = "a)bort e)dit s)ave killfile: ";


/* 
 *  main.c:
 */

char *txt_not_in_active_file = "Group %s not found in active file";
char *txt_screen_init_failed = "Screen initialization failed\n";
char *txt_bad_active_file = "Active file corrupt\n";

/*
 *  misc.c
 */

char *txt_cannot_find_base_art = "Cannot find base article %s";
char *txt_out_of_memory = "%s: out of memory\n";

/*
 *  nntp_open.c
 */

char *txt_cannot_get_nntp_server_name = "Cannot get nntp server name\n";
char *txt_server_name_in_file_env_var = "Either put the name in the file %s,\nor put it in the environment variable NNTPSERVER\n";
char *txt_failed_to_connect_to_server = "failed to connect to (%s) server\n";
char *txt_rejected_by_nntpserver = "rejected by server, nntp error %d\n";
char *txt_connection_to_server_broken = "connection to server broken\n";
char *txt_stuff_nntp_cannot_open = "stuff_nntp: can't open %s: ";
char *txt_nntp_to_fp_cannot_reopen = "nntp_to_fp: can't reopen %s: ";
char *txt_nntp_to_fd_cannot_reopen = "nntp_to_fd: can't reopen %s: ";

/*
 *  page.c
 */

char *txt_quit = "Do you really want to quit? (y/n): ";
char *txt_art_unavailable = "[Article %ld unvailable]\r\r";
char *txt_art_marked_as_unread = "Article marked as unread";
char *txt_thread_marked_as_unread = "Thread marked as unread";
char *txt_begin_of_art = "*** Beginning of article ***";
char *txt_next_resp = "-- next response --";
char *txt_last_resp = "-- last response --";
char *txt_more = "--More--";
char *txt_more_percent = "--More--(%d%%) [%ld/%ld]";
char *txt_note_x_of_n = "%sNote %3d of %3d\r\n";
char *txt_art = "Article %ld  ";
char *txt_resp_x_of_n = "Resp %3d of %3d\r\n";
char *txt_no_resp = "No responses\r\n";
char *txt_1_resp = "1 Response\r\n";
char *txt_x_resp = "%d Responses\r\n";
char *txt_s_at_s = "%s at %s";
char *txt_note_resp_page = "Note %d of %d, Resp %d (page %d):  %s";
char *txt_note_page = "Note %d of %d (page %d):  %s";
char *txt_read_resp = "Read response> ";
char *txt_help_p_0 = "0        Read the base article in this thread\r\n";
char *txt_help_p_4 = "4        Read response 4 in this thread\r\n";
char *txt_help_p_cr = "<CR>     Skip to next base article\r\n";
char *txt_help_p_tab = "<TAB>    Advance to next page or unread article\r\n";
char *txt_help_b = "b<SPACE> Back (<SPACE>=forward) a page\r\n";
char *txt_help_bug = "B        Mail bug/gripe/comment to %s\r\n";
char *txt_help_p_f = "fF       Post (F=copy text) a followup\r\n";
char *txt_help_ctrl_h = "^H       Show articles header\r\n";
char *txt_help_h =      "hH       Command (H=context sensitive) help\r\n";
char *txt_help_p_i = "i        Return to index page\r\n";
char *txt_help_p_k = "kK       Mark article (K=thread) as read & advance to next unread\r\n";
char *txt_help_p_m = "m        Mail this article to someone\r\n";
char *txt_help_p_n = "nN       Go to to the next (N=unread) article\r\n";
char *txt_help_p_o = "oO       Output article (O=thread) to printer\r\n";
char *txt_help_p_p = "pP       Go to the previous (P=unread) article\r\n";
char *txt_help_p_r = "rR       Reply through mail (R=copy text) to author\r\n";
char *txt_help_p_s = "sS       Save article (S=thread) to file\r\n";
char *txt_help_p_z = "zZ       Mark article (Z=thread) as unread\r\n";
char *txt_help_p_ctrl_r = "^R$      Redisplay first page ($=last page) of article\r\n";
char *txt_help_p_d = "d        Toggle rot-13 decoding for this article\r\n";
char *txt_help_p_pipe = "|        Pipe article into command\r\n";
char *txt_help_p_search = "/        Article forward search\r\n";
char *txt_mail_art_to = "Mail article to: ";
char *txt_abort_edit_send = "a)bort, e)dit, s)end: ";
char *txt_mailing_to = "Mailing to %s...";
char *txt_message_sent = "-- Message sent --";
char *txt_command_failed_s = "Command failed: %s\n";
char *txt_in_art_you_write = "In article %s you write:\n";
char *txt_resp_to_poster = "Responses have been directed to the poster. Post anyway? (y/n): ";
char *txt_resp_redirect = "Responses have been directed to the following newsgroups";
char *txt_continue = "Continue? (y/n): ";
char *txt_writes = "%s writes:\n";
char *txt_save_art_to_file = "Save article to file> ";
char *txt_art_not_saved = "-- article not saved --";
char *txt_print_art_yn = "Do you really want to print the article? (y/n): ";
char *txt_print_thread_yn = "Do you really want to print the thread? (y/n): ";
char *txt_no_filename = "No filename";
char *txt_saving = "Saving...    ";
char *txt_art_saved_to = "-- article saved to %s --";
char *txt_save_thread_to = "Save thread to file> ";
char *txt_thread_not_saved = "-- thread not saved --";
char *txt_thread_saved_to_many = "-- thread saved to %s - %s --";
char *txt_thread_saved_to = "-- thread saved to %s --";
char *txt_pipe_to_command = "Pipe to command: ";
char *txt_error_printing_art = "-- error printing article --";
char *txt_printing = "Printing...";
char *txt_art_printed = "-- article printed --";
char *txt_error_printing_thread = "-- error printing thread --";
char *txt_thread_printed = "-- thread printed --";
char *txt_append_to_file = "File %s exists. Append? (y/n): ";

/*
 *  posted.c
 */

char *txt_post_history_menu = "Posted articles history";
char *txt_no_arts_posted = "No articles have been posted";

/*
 *  prompt.c
 */

char *txt_hit_any_key = "-- Hit any key to continue --";

/*
 *  rcfile.c
 */
 
char *txt_opt_autosave =        "    1. Auto save       : ";
char *txt_opt_save_separate =   "    2. Save separate   : ";
char *txt_opt_mark_saved_read = "    3. Mark saved read : ";
char *txt_opt_kill_articles =   "    4. Kill articles   : ";
char *txt_opt_show_author =     "    5. Show Author     : ";
char *txt_opt_draw_arrow =      "    6. Draw arrow      : ";
char *txt_opt_post_process =    "    7. Post process    : ";
char *txt_opt_print_header =    "    8. Print header    : ";
char *txt_opt_process_type = "    9. Process type    : ";
char *txt_opt_sort_type = "    10 Sort article by : ";
char *txt_opt_savedir = "    11 Save directory  : ";
char *txt_opt_maildir = "    12 Mail directory  : ";
char *txt_opt_printer = "    13 Printer         : ";
char *txt_options_menu = "Options Menu";
char *txt_post_process_sh = "shell archive";
char *txt_post_process_uud = "uudecode";
char *txt_post_process_uud_zoo = "uudecode & zoo";
char *txt_post_process_uud_lzh = "uudecode & lharc";
char *txt_post_process_uud_arc = "uudecode & arc";
char *txt_post_process_uud_zip = "uudecode & zip";
char *txt_post_process_patch = "patch";
char *txt_sort_by_none = "Nothing";
char *txt_sort_by_subj = "Subject: field";
char *txt_sort_by_from = "From: field";
char *txt_sort_by_date = "Date: field";
char *txt_help_autosave = "Auto save article/thread by Archive-name: header. Use <SPACE> to toggle ON/OFF.";
char *txt_help_save_separate = "Save articles/threads to separate files. Use <SPACE> to toggle ON/OFF.";
char *txt_help_print_header = "Print complete mail header or Subject: & From:. Use <SPACE> to toggle ON/OFF.";
char *txt_help_show_author = "Show Subject & From (author) fields in group menu. Use <SPACE> to toggle ON/OFF.";
char *txt_help_draw_arrow = "Draw -> or highlighted bar for selection. Use <SPACE> to toggle ON/OFF.";
char *txt_help_kill_articles = "Kill articles that match entries in kill file. Use <SPACE> to toggle ON/OFF.";
char *txt_help_post_process = "Post process (ie. unshar) saved article/thread. Use <SPACE> to toggle ON/OFF."; 
char *txt_help_mark_saved_read = "Mark saved articles/threads as read. Use <SPACE> to toggle ON/OFF."; 
char *txt_help_post_proc_type = "Post processing to apply to articles/threads. Use <SPACE> to toggle choices.";
char *txt_help_sort_type = "Sort articles by Subject, From or Date fields. Use <SPACE> to toggle choices.";
char *txt_help_savedir = "The directory where you want articles/threads saved.";
char *txt_help_maildir = "The directory where articles/threads are to be saved in mailbox format.";
char *txt_help_printer = "The printer program with options that is to be used to print articles/threads.";
char *txt_save_options = "Save options? (y/n): ";

/*
 *  save.c
 */

char *txt_post_processing = "Post processing...";
char *txt_deleting = "Deleting...";

/*
 *  search.c
 */

char *txt_searching = "Searching...";

/*
 *  select.c
 */

char *txt_moving = "Moving...";
#ifdef DONT_USE_REGEX 
char *txt_subscribe_pattern = "Enter subscribe pattern> ";
char *txt_unsubscribe_pattern = "Enter subscribe pattern> ";
#else
char *txt_subscribe_pattern = "Enter regex subscribe pattern> ";
char *txt_unsubscribe_pattern = "Enter regex subscribe pattern> ";
#endif
char *txt_subscribing = "Subscribing...";
char *txt_subscribing_to = "Subscribing to %s...";
char *txt_unsubscribing = "Unsubscribing...";
char *txt_unsubscribing_from = "Unsubscribing from %s...";
char *txt_subscribed_num_groups = "subscribed to %d groups";
char *txt_unsubscribed_num_groups = "unsubscribed from %d groups";
char *txt_del_group_in_newsrc = "Delete current group from .newsrc? (y/n): ";
char *txt_group_deleted = "Group deleted";
char *txt_mark_group_read = "Mark group as read? (y/n): ";
char *txt_no_groups_to_delete = "No groups to delete";
char *txt_reset_newsrc = "Reset newsrc? (y/n): ";
char *txt_no_groups_to_read = "No more groups to read";
char *txt_added_groups = "Added %d group%s";
char *txt_plural = "s";
char *txt_no_groups_to_yank_in = "No more groups to yank in";
char *txt_group_selection = "Group Selection";
char *txt_select_group = "Select group> ";
char *txt_help_g_4 = "4$       Select group 4 ($=select last group)\r\n";
char *txt_help_g_ctrl_r = "^R       Reset .newsrc\r\n";
char *txt_help_g_ctrl_k = "^Kz      Delete (z=undelete) group from .newsrc\r\n";
char *txt_help_g_cr = "<CR>     Read current group\r\n";
char *txt_help_g_tab = "<TAB>    View next unread group\r\n";
char *txt_help_g_c = "c        Mark group as all read\r\n";
char *txt_help_W = "W        List articles posted by user\r\n";
char *txt_help_g_y = "y        Yank in groups that are not in the .newsrc\r\n";
char *txt_help_g_dollar = "Y        Reread group list from .newsrc\r\n";
char *txt_help_g_search = "/?       Group forward (?=backward) search\r\n";
char *txt_newsgroup = "Newsgroup> ";
char *txt_newsgroup_position = "Position %s in group list [1,2,..,$]> ";

#endif

