/*
 *  Project   : tin - a visual threaded usenet newsreader
 *  Module    : posted.c
 *  Author    : I.Lea
 *  Created   : 01-04-91
 *  Updated   : 19-08-91
 *  Release   : 1.0
 *  Notes     :
 *  Copyright : (c) Copyright 1991 by Iain Lea
 *	            You may  freely  copy or  redistribute  this software,
 *              so  long as there is no profit made from its use, sale
 *              trade or  reproduction.  You may not change this copy-
 *              right notice, and it must be included in any copy made
 */

#include	"tin.h"


int user_posted_messages ()
{
	char buf[LEN+1];
	FILE *fp;
	int ch;
	int i;

	if ((fp = fopen (postfile, "r")) != NULL) {
		ClearScreen ();
		printf("%s\r\n", nice_time());	/* time in upper left */

		StartInverse ();
		center_line (1, txt_post_history_menu);
		EndInverse ();
	
		MoveCursor(INDEX_TOP, 0);
		for (i=1 ; fgets (buf, LEN, fp) != NULL ; ) {
			if (buf[0] != '#') {
				buf[strlen (buf)-1] = ' ';
				buf[COLS-2] = '\0';
				printf ("%s% *s\r\n", buf, (COLS - (int) strlen (buf))-2, " ");
				i++;
			}
			if (i > NOTESLINES) {
				center_line(LINES, txt_hit_any_key);
				if ((ch = ReadCh()) != ' ') {
					break;
				}
				clear_message ();
				MoveCursor(INDEX_TOP, 0);
				i=1;
			}
		}
		fclose (fp);

		if (i != 1 && i < NOTESLINES) {
			while (i <= NOTESLINES) {
				MoveCursor((INDEX_TOP+i)-1, 0);
				CleartoEOLN ();
				i++;
			}
			center_line(LINES, txt_hit_any_key);
			ch = ReadCh();
		}
		clear_note_area ();
		return TRUE;
	}
	info_message (txt_no_arts_posted);
	return FALSE;
}


void update_art_posted_file (group, subj)
	char *group;
	char *subj;
{
	char buf[LEN+1];
	char tmp_post[LEN+1];
	FILE *fp, *tmp_fp;
	long epoch;
	struct tm *tm;

	sprintf (tmp_post, "%s.%d", postfile, getpid ());

	setuid(real_uid);
	setgid(real_gid);

	if ((tmp_fp = fopen (tmp_post, "w")) != NULL) {
		time(&epoch);
		tm = localtime (&epoch);
		fprintf (tmp_fp, "%02d-%02d-%02d  %-32s %-s\n",
			tm->tm_mday, tm->tm_mon+1, tm->tm_year, group, subj);
		fclose (tmp_fp);
	}

	if ((tmp_fp = fopen (tmp_post, "a+")) != NULL) {
		if ((fp = fopen (postfile, "r")) != NULL) {
			while (fgets (buf, LEN, fp) != NULL) {
				fprintf (tmp_fp, "%s", buf);
			}	
			fclose (fp);
			rename_file (tmp_post, postfile);
		}
		fclose (tmp_fp);
	}

	setuid(tin_uid);
	setgid(tin_gid);
}
